Project

General

Profile

Tâche #11460

Scénario #11254: Qualification de la migration de la version 2.3 vers 2.4

eSBL 2.3.16 - erreur reconfigure avant migration

Added by Emmanuel IHRY almost 6 years ago. Updated almost 6 years ago.

Status:
Reporté
Priority:
Normal
Assigned To:
-
Start date:
02/16/2015
Due date:
% Done:

0%

Estimated time:
1.00 h
Spent time:
Remaining (hours):
0.0

Related issues

Copied to Distribution EOLE - Tâche #11561: eSBL 2.3.16 - erreur reconfigure avant migration Fermé 02/16/2015

History

#1 Updated by Emmanuel IHRY almost 6 years ago

zeph dev N° 5278

En variante standard au départ
- Maj-Auto
- récupération de deux paquets eole-kernel-version (2.3-eole48) (1) linux-image-eole (2.3-eole48) (1)
- reconfigure
*Erreur :
chargement des valeurs

RECONFIGURE : Erreur => Erreur lors de la validation du dictionnaire : geoide_base_replic_ftp_pass : ce paramètre est obligatoire
RECONFIGURE : Erreur => Erreur lors de la validation du dictionnaire : geoide_base_replic_ftp_user : ce paramètre est obligatoire
RECONFIGURE : Erreur => Erreur lors de la validation du dictionnaire : geoide_base_replic_sn : ce paramètre est obligatoire

--> même problème après Maj-Auto -C

#2 Updated by Emmanuel IHRY almost 6 years ago

  • Distribution changed from EOLE 2.5 to EOLE 2.3

#3 Updated by Vincent Chavanon almost 6 years ago

  • % Done changed from 0 to 10

2 soucis :

1/ Ces 3 valeurs obligatoires et cachées n'ont pas de valeur par defaut, ce qui pose problème meme si elles sont desactivées (disabled if in activer_geoide_base = non). ceci n'est théoriquement pas grave, car elles ont été initialisées avec une valeur correcte à l'activation de geobase, et ne perdurent pas en pallier 2 (d'où leur statut caché). Mais le pallier 0 étant encore en service, si un service réinstalle sa géobase en refaisant la conf (cas hypothétique), on a ce soucis. => il faut donc rendre ces valeurs visibles en P0.

2/
- Statut de geobase :
Les serveurs esbl 2.3 applis-web sur lesquels geobase était activé ont été migrés vers la variante geomatique. A cette date, pas de variante geomatique en 2.4, et pas de migration de serveur geobase 2.3 vers la 2.4 tant que le pallier 2 n'est pas diffusé.

- Sur un serveur esbl 2.3 applis-web sur lequel geobase n'était pas activé (donc variables non définies), le paquet eole-geo-ide-base est présent en 2.3. Et il est mis à jour (et donc présent) par le dist-upgrade, meme si il n'est plus nécessaire dans la variante applis-web 2.4. Et ca pose un soucis, car ca plante le reconfigure (cf. soucis 1 : variable non utilisée est indéfinie) mais surtout le paquet et ses dépendances est présent pour rien...

Il faudrait donc que le script de prérequis vérifie la présence de ce paquet, et si geobase n'est pas activé, le désinstalle.

#4 Updated by Thierry Bertrand almost 6 years ago

  • Status changed from Nouveau to Reporté
  • Remaining (hours) set to 0.0

#5 Updated by Thierry Bertrand almost 6 years ago

  • % Done changed from 10 to 0
  • Estimated time set to 0.00 h

#6 Updated by Thierry Bertrand almost 6 years ago

  • Estimated time changed from 0.00 h to 1.00 h

Also available in: Atom PDF